Summary:      Real-time midi sequencer
Name:         seq24
Version:      0.8.7
Release:      6%{?dist}
License:      GPL
Group:        Applications/Multimedia
URL:          http://www.filter24.org/seq24/
Source:       http://filter24.org/seq24/seq24-%{version}.tar.gz
Source1:      seq24.png
Source2:      seq24.desktop
Patch0:       seq24-stack-smash.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: lash-devel gtkmm24-devel

Requires: hicolor-icon-theme

BuildRequires: desktop-file-utils

%description 
Seq24 is a real-time midi sequencer. It provides a very simple
interface for editing and playing midi 'loops'.

%prep
%setup -q
%patch0 -p0 -b .stack-smash~

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Rename the "dump" command to something more specific.
mv $RPM_BUILD_ROOT%{_bindir}/dump $RPM_BUILD_ROOT%{_bindir}/seq24-dump

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/seq24.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
  %{SOURCE2}

%clean
rm -rf $RPM_BUILD_ROOT

%post
# update icon themes
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
# update icon themes
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README RTC SEQ24 TODO seq24usr.example
%{_bindir}/*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/icons/hicolor/64x64/apps/seq24.png

%changelog
* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.8.7-6
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 26 2006 Anthony Green <green@redhat.com> 0.8.7-5
- Rename "dump" to "seq-dump".
- Simplify description.

* Mon Sep 25 2006 Anthony Green <green@redhat.com> 0.8.7-4
- Fix SOURCE reference.
- Add TODO and seq24usr.example to docs.
- Clean up macro usage.

* Tue Sep 19 2006 Anthony Green <green@redhat.com> 0.8.7-3
- Remove Require(post,postun) for gtk2, as per the packaging
  guidelines.

* Tue Sep 19 2006 Anthony Green <green@redhat.com> 0.8.7-2
- Install the icon in the hicolor tree.
- Require hicolor-icon-theme.
- Add dist tag to Release.
- Fix post/postun scripts and Requires.

* Sat Sep 16 2006 Anthony Green <green@redhat.com> 0.8.7-1
- updated to 0.8.7.
- first Fedora build.
- clean up Requires and BuildRequires.
- move .desktop file to %%{SOURCE2}.
- add stack-smash preventing patch.
- add %%post and %%postun scriptlets.

* Sat May  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.6-1
- updated to 0.8.6
- added Planet CCRMA categories to desktop file, added icon

* Fri Mar 31 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.4-1
- updated to 0.8.4
- added dependency for building on fc5
- add generic bindir file list, includes new "dump" command
- added lash support

* Wed May  4 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.3-1
- updated to 0.6.3

* Tue Mar 22 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.2-1
- updated to 0.6.2

* Fri Jan 21 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.0-1
- updated to 0.6.0, now requires gtkmm2

* Sun Dec 19 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup

* Sun Aug 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.2-1
- updated to 0.5.2

* Thu Jul 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.1-1
- updated to 0.5.1

* Wed May  5 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.0-2
- fixed missing defattr in file list

* Wed May  5 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.0-1
- updated to 0.5.0

* Wed Jan 21 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.4-1
- updated to 0.4.4

* Thu Nov 20 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.2-1
- spec file tweaks, add release tags

* Mon May 19 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.2-1
- updated to 0.4.2

* Wed Mar 19 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.1-1
- initial build
